// 充值成功
import React from 'react';
import {Result, Icon, Button, WhiteSpace} from 'antd-mobile';
import './style/index.less';

export default class RechargeSuccessful extends React.Component {
  constructor({history}) {
    super();
    this.state = {
      adminStatus: true,
      visible: false,
      admID: "2"
    }
    this.history=history;
  }

  componentDidMount() {
    
  }

  // 返回账户
  handleGoAccount = () => {
    this.history.push("/0001/00020001")
  }

  render() {
    return (
      <div className="electronic-health-card">
        <div style={{height: "100%", overflow: "auto"}} className="recharge-successful margintop10">
          <Result
            img={<Icon type="check-circle" className="spe" style={{ fill: '#1F90E6' }} />}
            title="充值成功"
            message="已放入就诊人(彭*秉4414**********4511)账户"
          />
          <div className="operation-button">
            <Button type="primary" onClick={this.handleGoBack}>继续充值</Button>
            <WhiteSpace />
            <Button type="ghost" onClick={this.handleGoAccount}>返回账户</Button>
          </div>
        </div>
      </div>
    )
  }
}